Mailinglist Archive: opensuse-security-announce (20 mails)

< Previous Next >
[security-announce] openSUSE-SU-2011:0706-1: important: java-1_6_0-openjdk
openSUSE Security Update: java-1_6_0-openjdk
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0706-1
Rating: important
References: #596177 #698739
Cross-References: CVE-2011-0815 CVE-2011-0822 CVE-2011-0862
CVE-2011-0864 CVE-2011-0865 CVE-2011-0867
CVE-2011-0868 CVE-2011-0869 CVE-2011-0870
CVE-2011-0871 CVE-2011-0872
Affected Products:
openSUSE 11.4
openSUSE 11.3
______________________________________________________________________________

An update that fixes 11 vulnerabilities is now available.

Description:

Icedtea as included in java-1_6_0-openjdk was updated to
fix several security issues:

* S6213702, CVE-2011-0872: (so) non-blocking sockets with
TCP urgent disabled get still selected for read ops (win)
* S6618658, CVE-2011-0865: Vulnerability in deserialization
* S7012520, CVE-2011-0815: Heap overflow vulnerability in
FileDialog.show()
* S7013519, CVE-2011-0822, CVE-2011-0862: Integer overflows
in 2D code
* S7013969, CVE-2011-0867: NetworkInterface.toString can
reveal bindings
* S7013971, CVE-2011-0869: Vulnerability in SAAJ
* S7016340, CVE-2011-0870: Vulnerability in SAAJ
* S7016495, CVE-2011-0868: Crash in Java 2D transforming an
image with scale close to zero
* S7020198, CVE-2011-0871: ImageIcon creates Component with
null acc
* S7020373, CVE-2011-0864: JSR rewriting can overflow
memory address size


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch icedtea-web-4788

- openSUSE 11.3:

zypper in -t patch icedtea-web-4788

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

icedtea-web-1.1-0.2.1
java-1_6_0-openjdk-1.6.0.0_b22.1.10.2-4.3.1
java-1_6_0-openjdk-devel-1.6.0.0_b22.1.10.2-4.3.1

- openSUSE 11.4 (noarch):

icedtea-web-javadoc-1.1-0.2.1
java-1_6_0-openjdk-demo-1.6.0.0_b22.1.10.2-4.3.1
java-1_6_0-openjdk-javadoc-1.6.0.0_b22.1.10.2-4.3.1
java-1_6_0-openjdk-src-1.6.0.0_b22.1.10.2-4.3.1

- openSUSE 11.3 (i586 x86_64):

icedtea-web-1.1-0.2.1
java-1_6_0-openjdk-1.6.0.0_b22.1.10.2-4.2.1
java-1_6_0-openjdk-devel-1.6.0.0_b22.1.10.2-4.2.1

- openSUSE 11.3 (noarch):

icedtea-web-javadoc-1.1-0.2.1
java-1_6_0-openjdk-demo-1.6.0.0_b22.1.10.2-4.2.1
java-1_6_0-openjdk-javadoc-1.6.0.0_b22.1.10.2-4.2.1
java-1_6_0-openjdk-src-1.6.0.0_b22.1.10.2-4.2.1


References:

http://support.novell.com/security/cve/CVE-2011-0815.html
http://support.novell.com/security/cve/CVE-2011-0822.html
http://support.novell.com/security/cve/CVE-2011-0862.html
http://support.novell.com/security/cve/CVE-2011-0864.html
http://support.novell.com/security/cve/CVE-2011-0865.html
http://support.novell.com/security/cve/CVE-2011-0867.html
http://support.novell.com/security/cve/CVE-2011-0868.html
http://support.novell.com/security/cve/CVE-2011-0869.html
http://support.novell.com/security/cve/CVE-2011-0870.html
http://support.novell.com/security/cve/CVE-2011-0871.html
http://support.novell.com/security/cve/CVE-2011-0872.html
https://bugzilla.novell.com/596177
https://bugzilla.novell.com/698739

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages